### Method

# Gtk SectionModel sections_changed

since: 4.12

#### Declaration [src]

    void
    gtk_section_model_sections_changed (
      GtkSectionModel* self,
      guint position,
      guint n_items
    )

#### Description [src]

This function emits the `GtkSectionModel::sections-changed` signal to notify about changes to sections.

It must cover all positions that used to be a section start or that are now a section start. It does not have to cover all positions for which the section has changed.

The `GListModel::items-changed` implies the effect of the `GtkSectionModel::sections-changed` signal for all the items it covers.

It is recommended that when changes to the items cause section changes in a larger range, that the larger range is included in the emission of the `GListModel::items-changed` instead of emitting two signals.

Available since: 4.12

#### Parameters

`position`

  Type: `guint`

  The first changed item.

`n_items`

  Type: `guint`

  The number of changed items.